﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.Core.Views;
using HeuristicLab.Core;
using HeuristicLab.MainForm;
using HeuristicLab.Optimization;
using HeuristicLab.PluginInfrastructure;

namespace HeuristicLab.Hive.Experiment.Views {
  [View("JobItemList View")]
  [Content(typeof(JobItemList), true)]
  [Content(typeof(IItemList<JobItem>), false)]
  public partial class JobItemListView : ItemListView<JobItem> {

    public JobItemListView() {
      InitializeComponent();
      itemsGroupBox.Text = "Jobs";
      this.viewHost.ReadOnly = true;
    }

    protected override JobItem CreateItem() {
      return null;
    }

    protected override void SetEnabledStateOfControls() {
      base.SetEnabledStateOfControls();
      this.addButton.Enabled = false;
      this.moveDownButton.Enabled = false;
      this.moveUpButton.Enabled = false;
      this.removeButton.Enabled = false;
    }
  }
}
